<template lang="pug">
.input-group
  span {{ text }}
  input.input-group__field(
    v-model="inputText"
    :type="type"
    :name="name"
    :placeholder="placeholder"
    @blur="blur()"
  )
</template>

<script>
export default {
  props: {
    item: Object
  },
  data() {
    return {
      inputText: ''
    }
  },
  computed: {
    type() {
      return this.item.type || 'text'
    },
    name() {
      return this.item.name || ''
    },
    placeholder() {
      return this.item.placeholder || ''
    },
    text() {
      return this.item.text || ''
    }
  },
  methods: {
    blur() {
      this.$emit('input', { name: this.name, text: this.inputText })
    }
  }
}
</script>

<style lang="stylus" scoped>
@import '~@/stylus/mixins.styl'

.input-group
  flex-basis: calc(50% - 40px)
  margin: 10px 20px 0
  align-items: flex-start
  display: flex
  flex-direction: column
  &__field
    margin-top: 5px
    border-radius: 5px
    border: 1px solid mainColor
    width: 100%
    padding: 10px
    transition: box-shadow 0.2s
    &:focus
      outline: none
      box-shadow: 0px 0px 0px 2px mainColor
</style>
